name: QuicktestPRAgainstDev

on:
  pull_request:
    branches: [ dev ]
  push:
    branches: [ dev ]


jobs:

  test:
    name: Run quicktest on PR branch
    runs-on: ubuntu-20.04

    steps:
      - name: checkout
        uses: actions/checkout@v2

      - name: DockerRunQuicktest
        run: |
          export FINN_ROOT=$(pwd)
          export FINN_BUILD_DIR=/tmp/finn_gha
          export FINN_INST_NAME=finn_gha
          ./run-docker.sh quicktest
